tbb::tbb_hash_compare< Key > Struct Template Reference

hash_compare that is default argument for concurrent_hash_map More...

`#include <_tbb_hash_compare_impl.h>`

Collaboration diagram for tbb::tbb_hash_compare< Key >:

## Static Public Member Functions

static size_t | hash (const Key &a)
static bool | equal (const Key &a, const Key &b)

## Detailed Description

### template<typename Key>
struct tbb::tbb_hash_compare< Key >

hash_compare that is default argument for concurrent_hash_map

Definition at line 99 of file _tbb_hash_compare_impl.h.

## Member Function Documentation

## equal()

template<typename Key >

static bool tbb::tbb_hash_compare< Key >::equal | ( | const Key & | a,
|  | const Key & | b
| ) |  |

inline static

Definition at line 101 of file _tbb_hash_compare_impl.h.

{ return a == b; }

## hash()

template<typename Key >

static size_t tbb::tbb_hash_compare< Key >::hash | ( | const Key & | a | ) |

inline static

Definition at line 100 of file _tbb_hash_compare_impl.h.

{ return tbb_hasher(a); }

The documentation for this struct was generated from the following file:

- _tbb_hash_compare_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.